Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0011131
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminorhave not tried2009-10-26 15:292010-03-10 18:28
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version2.50MP12
StatusclosedFix in branchFixed in SCM revision314c274fb1f8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0011131: Uninstall button in ModuleManagementConsole has not confirmation dialog

DescriptionWhen you click uninstall after selecting some modules there is not confirmation dialog. As you cannot easily revert an uninstallation (image new columns added by a module are removed including the data entered into them) there should be a dialog asking: Do you really want to unsinstall the selectd modules?
Steps To ReproduceGo to the Module Management Windows
Select one or module installed modules
Click on Uninstall
The action is performed directly without a prior confirmation dialog.
TagsModularity
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0024386)
hgbot (developer)
2010-02-16 10:09

Repository: erp/devel/pi
Changeset: 314c274fb1f8b9055630fbdd1eadf8aa7b56d2be
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Feb 16 10:10:23 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/314c274fb1f8b9055630fbdd1eadf8aa7b56d2be [^]

fixed bug 11131: Uninstall button in ModuleManagementConsole has not confirmation dialog

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/erpCommon/ad_forms/ModuleManagementInstalled.html
---
(0024450)
iperdomo (developer)
2010-02-16 22:04

Tested on pi @ rev. f554d18c5f2f
(0024527)
hudsonbot (developer)
2010-02-18 00:30

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/314c274fb1f8 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/7c1b489fb0a0 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.16459.obx [^]

- Issue History
Date Modified Username Field Change
2009-10-26 15:29 shuehner New Issue
2009-10-26 15:29 shuehner Assigned To => rafaroda
2009-10-27 09:17 rafaroda Tag Attached: Modularity
2009-10-27 09:18 rafaroda Assigned To rafaroda => alostale
2009-10-27 09:18 rafaroda Status new => scheduled
2010-01-25 08:57 alostale Priority normal => urgent
2010-02-16 10:09 hgbot Checkin
2010-02-16 10:09 hgbot Note Added: 0024386
2010-02-16 10:09 hgbot Status scheduled => resolved
2010-02-16 10:09 hgbot Resolution open => fixed
2010-02-16 10:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/314c274fb1f8b9055630fbdd1eadf8aa7b56d2be [^]
2010-02-16 22:04 iperdomo Note Added: 0024450
2010-02-16 22:04 iperdomo Status resolved => closed
2010-02-16 22:04 iperdomo Fixed in Version => 2.50MP12
2010-02-17 00:00 anonymous sf_bug_id 0 =>
2010-02-18 00:30 hudsonbot Checkin
2010-02-18 00:30 hudsonbot Note Added: 0024527
2010-03-10 18:28 anonymous sf_bug_id => 2967938


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker